<?php
namespace Teknisa\PED\Modules\Pedidos\Factories;

use Doctrine\ORM\EntityManager;
use Teknisa\Model\Pedidosexpedicao\Entities\Precobase;
use Teknisa\Model\Pedidosexpedicao\Entities\Promoprbase;
use Teknisa\Model\Pedidosexpedicao\Entities\Opcioprbase;
use Teknisa\Model\Pedidosexpedicao\Entities\Itemprebase;
use Teknisa\Model\Eventos\Entities\Prbaseconvidaore;

class Ped05001EquipeVendedorMetaFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection       = $entityManager->getConnection();
        $this->entityManager    = $entityManager;
    }

    public function searchMembrosEquipe($CDEQUIPE,$NRORG) {
        $sql = "SELECT * FROM EQUIPEVENDEDOR 
                WHERE CDEQUIPE = :CDEQUIPE ";

        $params = array();
        $params['CDEQUIPE'] = $CDEQUIPE;
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        
        return $std->fetchAll();;
    }
}

?>