<?php
namespace Teknisa\PED\Modules\Pedidos\Controllers;

use \Teknisa\GER\Libraries\PHPMailer;
use Teknisa\PED\Controllers\TeknisaCrud;
use Teknisa\GER\Controllers\CrudController;
use Teknisa\PED\Modules\Pedidos\Services\Ped05900ComposicaoPrecoProdutoService;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use \Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\ParameterBag;
    
    class Ped05900ComposicaoPrecoProdutoController extends TeknisaCrud {
        protected $environment;
        protected $ComposicaoPrecoProdutoService;
        
        public function __construct($crudService, ParameterBag $parameterBag, $environment, $ComposicaoPrecoProdutoService){
            $this->environment = $environment;
            $this->parameterBag = $parameterBag;
            $this->ComposicaoPrecoProdutoService = $ComposicaoPrecoProdutoService;
            parent::__construct($crudService, $parameterBag);
        }
        
        public function calculaPrecoProd(DTO\Request $request, DTO\Response $response){
            
            $row = $request->getRow();
            
            if($row['CDPRECOBASE']=='T'){
              $precoBase = $this->ComposicaoPrecoProdutoService->getPrecobase($row['CDPRECOBASE']);  
            }else{
                $precoBase = $row['CDPRECOBASE'];
            }
            
            $prodCalc = $this->ComposicaoPrecoProdutoService->getProdCalc($row);
            $cdoperador = $this->environment->getCdOperador();
            $result = $this->getWhile($prodCalc, $row, $precoBase);
            
            if(!(empty($result))){
                //mensagem de erro
            }else{
                ///mensagem de sucesso
            }


            $this->ComposicaoPrecoProdutoService->salvarCadastroAutomaticoCliente($row);
        }
        
        public function getWhile($prodCalc, $row, $precoBase){
            
            foreach($precoBase as $preco){
                
            }
        }
        
        
    }
?>